/* GENERAL */

@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap");

/* Default Light Mode */
:root{
  --primary-color:white;
  --primary-color-2:rgb(250,250,250);
  --primary-color-3:rgb(181,181,181);
  --background-color:rgb(255,255,255);
  --secondary-color:black;
  --secondary-color-2:rgb(85,85,85);
  --button-background:rgb(53,53,53);
  --button-text-hover:grey;
  --button-border:rgb(53,53,53) 0.1rem solid;
  --button-border-2:rgb(255,255,255) 0.1rem solid;
  --container-border:rgb(163,163,163);
  --nav-color:#D09683;
  --navlink-color:grey;
}

/* Dark Mode */
[theme="dark"]{
  --primary-color:black;
  --primary-color-2:rgb(39,39,39);
  --primary-color-3:rgb(74,74,74);
  --background-color:rgb(33,33,33);
  --secondary-color:white;
  --secondary-color-2:rgb(170,170,170);
  --button-background:rgb(202,202,202);
  --button-text-hover:Lightgrey;
  --button-border:rgb(202,202,202) 0.1rem solid;
  --button-border-2:rgb(0,0,0) 0.1rem solid;
  --container-border:rgb(92,92,92);
  --nav-color:rgb(110, 110, 110);
  --navlink-color:#D09683;
}

* {
  margin: 0;
  padding: 0;
}

h3{
  color:var(--secondary-color)
}

body {
  font-family: "Poppins", sans-serif;
  background-color: var(--background-color);
}

html {
  scroll-behavior: smooth;
}
header{
  background-color: var(--nav-color);
  position: fixed;
  width: 100%;
  top: 0%;
}

p {
  color: var(--secondary-color-2);
}

/* TRANSITION */

a,
.btn {
  transition: all 300ms ease;
}

/* DESKTOP NAV */

nav,
.nav-links {
  display: flex;
  align-items: center;
  
  
}

nav {
  justify-content: space-around;
  height: 12vh;
  
}

.nav-links {
  gap: 2rem;
  list-style: none;
  font-size: 1.5rem;
  
}

nav li:last-child{
  width: max-content;
  display: flex;
  margin: auto;
  padding: 10px;
}

a {
  color: var(--secondary-color);
  text-decoration: none;
  /* text-decoration-color: var(--primary-color); */
  
}

a:hover {
  color: 
  var(--navlink-color);
  text-decoration: underline;
  text-underline-offset: 1rem;
  /* text-decoration-color: grey; */
  
  
}
nav a:hover {
  /* color: var(--secondary-color); */
  /* text-decoration-color: var(--secondary-color); */
  transition: all 500ms ease;
  
}

.logo {
  font-size: 2rem;
  color: var(--secondary-color);
}

.logo:hover {
  cursor: default;
}

/* HAMBURGER MENU */

#hamburger-nav {
  display: none;
  /* position: fixed; */
}

.hamburger-menu {
  position: relative;
  display: inline-block;
}

.hamburger-icon {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 24px;
  width: 30px;
  cursor: pointer;
}

.hamburger-icon span {
  width: 100%;
  height: 2px;
  background-color: black;
  transition: all 0.3 ease-in-out;
}

.menu-links{
  position: fixed;
  top: 100px;
  left: 0;
  height: 100vh;
  width: 100%;
  z-index: 2;
  background-color: var(--nav-color);
  transform: translateX(1200px);
  transition: 0.5s;
  
}

.menu-links a {
  display: block;
  padding: 20px;
  text-align: center;
  font-size: 1.5rem;
  color: var(--secondary-color);
  text-decoration: none;
  transition: all 0.3 ease-in-out;
  justify-content: space-around;
}

.menu-links li {
  list-style: none;
}

.menu-links.open {
  transform: translateX(0px);
  
}

.hamburger-icon.open span:first-child {
  transform: rotate(45deg) translate(10px, 5px);
}

.hamburger-icon.open span:nth-child(2) {
  opacity: 0;
}

.hamburger-icon.open span:last-child {
  transform: rotate(-45deg) translate(10px, -5px);
}

.hamburger-icon span:first-child {
  transform: none;
}

.hamburger-icon span:first-child {
  opacity: 1;
}

.hamburger-icon span:first-child {
  transform: none;
}

/* SECTIONS */

section{
  padding-top: 20vh;
  /* height: 96vh; */
  margin: 0 10rem;
  
  box-sizing: border-box;
  min-height: fit-content;
}

.section-container{
  display: flex;
}

/* PROFILE SECTION */

#profile{
  display: flex;
  justify-content: center;
  gap: 5rem;
  height: 80vh;
  margin-top: 2rem;
}

.section__pic-container{
  display: flex;
  height: 400px;
  width: 400px;
  margin: auto 0;
}

.section__text{
  align-self: center;
  text-align: center;
}

.section__text p{
  font-weight: 600;
}

.section__text__p1{
  text-align: center;
}

.section__text__p2{
  font-size: 1.75rem;
  margin-bottom: 1rem;

}

.title{
  color: var(--secondary-color);
  font-size: 3rem;
  text-align: center;
}

#socials-container{
  display: flex;
  justify-content: center;
  margin-top: 1rem;
  gap: 1rem;
}

/* ICON */

.icon{
  cursor: pointer;
  height: 2rem;
}

.linkedin1-icon:hover,
.github-icon:hover{
  cursor: pointer;
  height: 2rem;
  transform: scale(1.2);  
  transition: all 300ms ease;
}

/* BUTTONS */

.btn-container{
  display: flex;
  justify-content: center;
  gap: 1rem;
}

.btn{
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  transition: all 300ms ease;
  padding: 1rem;
  width: 8rem;
  border-radius: 2rem;
}

.btn-color-1, 
.btn-color-2{
  border: var(--button-border);
  background: none;
  color: var(--secondary-color);
}

.btn-color-1:hover, 
.btn-color-2:hover{
  cursor: pointer;
  transform: scale(1.1);
}
.btn-color-1:hover, 
.btn-color-2:hover{
  background: var(--button-background);
  color: var(--primary-color);
}

.btn-color-2{
  background: none;
}

/* .btn-color-2:hover,
.btn-color-1:hover{
  border: rgb(255, 255, 255)0.1rem solid;
} */

.btn-container{
  gap: 1rem;
}

/* ABOUT */


.about-containers {
  gap: 2rem;
  margin-bottom: 2rem;
  margin-top: 2rem;
  
}

.about-details-container {
  justify-content: center;
  flex-direction: column;
}

.about-containers,
.about-details-container {
  display: flex;
  
}

.about-pic {
  border-radius: 2rem;
}

.arrow {
  position: relative;
  right: -5rem;
  bottom: 2.5rem;
}

.details-container {
  padding: 1rem;
  flex: 1;
  background: var(--primary-color-2);
  border-radius: 2rem;
  border: var(--button-border);
  border-color: var(--container-border);
  text-align: center;
  
}

.section-container {
  gap: 4rem;
  height: 80%;
}

.section__pic-container {
  height: 400px;
  width: 400px;
  margin: auto 0;
}

.text-container{
  text-align: center;
}

/* EXPERIENCE */

#experience {
  position: relative;
}

.experience-sub-title {
  color: var(--secondary-color);
  font-weight: 600;
  font-size: 1.75rem;
  margin-bottom: 2rem;
}

.experience-details-container {
  display: flex;
  justify-content: center;
  flex-direction: column;
}

.article-container {
  display: flex;
  text-align: initial;
  flex-wrap: wrap;
  flex-direction: row;
  gap: 2.5rem;
  justify-content: space-around;
}

article {
  display: flex;
  width: 10rem;
  
  gap: 0.5rem;
}

article .icon {
  cursor: default;
}

/* CERTIFICATIONS */


.details1-container {
  display: flex;
  padding: 1rem;
  background: var(--primary-color-2);
  border-radius: 2rem;
  border: var(--button-border);
  border-color: var(--container-border);
  flex-direction: column;
  flex-wrap: wrap; 
  gap: 2rem;
  
}

.text1-container{
  display: flex;
  gap: 0.5rem;
}



article1 {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 5rem;


}

.certifications-details-container{
  display: grid;
  flex-wrap: wrap;
  flex-direction: column;
  gap: 1.5rem;
  margin-bottom: 2rem;
  justify-content: center;
  align-items: center;
  
}

.btn2{
    font-family: "Poppins", sans-serif;
    font-weight: 600;
    transition: all 300ms ease;
    padding: 0.5rem;
    width: 8rem;
    border-radius: 2rem;
}

span{
  display: flex;
}

/* PROJECTS SECTION */

.color-container {
  border-color: var(--container-border);
  background: var(--primary-color-2);
}

.project-img {
  border-radius: 2rem;
  width: 90%;
  height: 90%;
}

.project-title {
  margin: 1rem;
  color: var(--secondary-color);
}

.project-btn {
  color: var(--secondary-color);
  border-color: var(--container-border);
}

.pro{
  list-style: none;
  gap: 1rem;
  display: flex;
  flex-direction: column;
}

/* CONTACT */

#contact {
  display: flex;
  justify-content: center;
  flex-direction: column;
  height: 70vh;
}

.contact-info-upper-container {
  display: flex;
  justify-content: center;
  border-radius: 2rem;
  border: var(--button-border);
  border-color: var(--container-border);
  background: var(--background-color);
  margin: 2rem auto;
  padding: 0.5rem;
}

.contact-info-container {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
  margin: 1rem;
}

.contact-info-container p {
  font-size: larger;
}

.contact-icon {
  cursor: default;
}

.email-icon {
  height: 2.5rem;
}

/* FOOTER SECTION */

footer {
  height: 26vh;
  margin: 0 1rem;
}

footer p {
  text-align: center;
}


